Logo
OpenScaler

Kubernetes node action

POST
/v1/kubernetes/clusters/{cluster_id}/nodes/{node_id}/actions

Perform a power/lifecycle action (start, shutdown, power_off, reboot, reset) on a single cluster node.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

cluster_id*string

A unique identifier for a Kubernetes cluster.

Formatuuid
node_id*string

A unique identifier for a Kubernetes cluster node.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Power/lifecycle action to apply to all nodes in a Kubernetes cluster, or to a single node.

Response Body

application/json

application/json

text/pain

application/json

application/json

application/json

curl -X POST "https://example.com/v1/kubernetes/clusters/0193e8a2-7c4b-7b1e-9f3a-2d5c8e1f0a6b/nodes/cc3ccab2-0ae2-11ef-9136-6a0922f6458b/actions" \  -H "Content-Type: application/json" \  -d '{    "type": "shutdown",    "timeout": 10  }'
null
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}